# Generated by Django 3.2.18 on 2023-04-10 21:38

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('inventory', '0001_initial_20211102'),
    ]

    operations = [
        migrations.CreateModel(
            name='Finding',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.TextField(blank=True)),
                ('summary', models.TextField(blank=True, null=True)),
                (
                    'severity',
                    models.IntegerField(
                        blank=True,
                        choices=[(1, 'Informative'), (2, 'Low'), (3, 'Medium'), (4, 'High'), (5, 'Critical')],
                        db_index=True,
                        null=True,
                    ),
                ),
                (
                    'state',
                    models.IntegerField(
                        choices=[(1, 'New'), (2, 'Open'), (3, 'Closed'), (4, 'Resolved')], db_index=True, default=1
                    ),
                ),
                ('first_seen', models.DateTimeField(auto_now_add=True)),
                ('last_seen_date', models.DateTimeField(blank=True, null=True)),
                (
                    'application',
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to='inventory.application',
                        verbose_name='Application',
                    ),
                ),
                (
                    'content_source',
                    models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='contenttypes.contenttype'),
                ),
                (
                    'related_to',
                    models.ManyToManyField(
                        blank=True,
                        help_text='Other findings related to this one',
                        related_name='_inventory_finding_related_to_+',
                        to='inventory.Finding',
                    ),
                ),
            ],
        ),
    ]
