# WIP

App responsible for loading dynamically scanners (input generators and output parsers) and handling the common process:

* provision new rootbox (with ansible)

* run input generator
* run ansible playbook to copy input and launch scanner docker image
* resync output and run parser for that scanner

....


### Docker TLS

#### CA

Both CA certificate and key are in vault `tla_surf/common/rootbox_ca_cert` `tla_surf/common/rootbox_ca_key`.

They were generated with

```
openssl genrsa -out ca.key 4096
openssl req -x509 -new -nodes -key ca.key -sha256 -days 1024 -out ca.crt
```

#### dockerd server certificate

rootbox dockerd certificates are generated by the provisioning playbook on-demand.

#### docker client certificate

docker client certificate and key used are in vault `tla_surf/common/docker_cert` and `tla_surf/common/docker_cert_key`

It was generated with:

```
openssl genrsa -out key.pem 4096
openssl req -subj '/CN=client' -new -key key.pem -out client.csr
echo extendedKeyUsage = clientAuth > extfile-client.cnf
openssl x509 -req -days 1024 -sha256 -in client.csr -CA ca.pem -CAkey ca.key  -CAcreateserial -out cert.pem -extfile extfile-client.cnf
``` 

#### Renewals

* Client cert requires update to vault keys and re-deploy (to refresh from vault)
* Server cert requires removing `/etc/docker-server.pem` from the rootbox and re-running provisioning (cert is generated on-the-fly)
* If CA is regenerated, Vault keys need to be updated and both previous steps need to be done
